Package org.apache.tomcat.jdbc.pool.interceptor

## Class StatementFinalizer.StatementEntry

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.interceptor.StatementFinalizer.StatementEntry

- Enclosing class:
    StatementFinalizer

      protected class StatementFinalizer.StatementEntry
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatementEntry​(java.sql.Statement statement)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Throwable` | `getAllocationStack()` |
    `java.sql.Statement` | `getStatement()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatementEntry

          public StatementEntry​(java.sql.Statement statement)

  - ### Method Detail

    - #### getStatement

          public java.sql.Statement getStatement()

    - #### getAllocationStack

          public java.lang.Throwable getAllocationStack()